Name:          festival-voices-catalan-hts 
Version:       1.98
Release:       2.1
Summary:       Catalan voices for festival
License:       LGPL
Group:         Edutainment Desktop/Applications/Edutainment
Source0:       upc_ca_base.tgz
Source1:       upc_ca_ona_hts.tgz
Source2:       upc_ca_pau_hts.tgz
URL:           http://www.talp.upc.edu/festcat
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:	festival
Vendor:	       linkat
Distribution:  education

%description
The FestCat package consists of a library providing
analysis of Catalan text, and the data to extend
Festival so that it can speak Catalan.

%prep
%setup -q -c -n festival

%build

%install
mkdir -p %{buildroot}/usr/share/festival/voices/catalan
cp -R upc_ca_base/dicts/upc %{buildroot}/usr/share/festival/
cp -R upc_ca_base/upc_catalan %{buildroot}/usr/share/festival/
mkdir -p %{buildroot}/usr/share/doc/festival-ca
cp upc_ca_base/doc/* %{buildroot}/usr/share/doc/festival-ca/
cd %{buildroot}/usr/share/festival/voices/catalan
tar vxfz %{SOURCE1}
rm -rf upc_ca_ona_hts/doc
tar vxfz %{SOURCE2}
rm -rf upc_ca_pau_hts/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "(Parameter.set 'Audio_Command \"paplay \$FILE\")" >> /usr/share/festival/init.scm
echo "(Parameter.set 'Audio_Method 'Audio_Command)" >> /usr/share/festival/init.scm
echo "(Parameter.set 'Audio_Required_Format 'snd)" >> /usr/share/festival/init.scm

%files 
%defattr(-,root,root)
/usr/share/festival
/usr/share/doc/festival-ca

%changelog
* Tue Nov 30 2010 - David Lara <dlara@espherica.com> 1.98-2
- Added lines to init.scm (at post) to make catalan voices work

* Wed Sep 22 2010 - David Lara <dlara@espherica.com> 1.98
- Used sources files
- Update to 16/10/2009 version
- Rebuild for Linkat 4

* Mon Jul 6 2009 - <dlara@espherica.com>
- Rebuild for Linkat 3

* Sat  Mar 01 2008 - <jordi@grn.es>
- Initial release
